import React, { Component } from 'react';
import {
    Layout, Menu, Icon,
  } from 'antd';
  
  const {
     Sider
  } = Layout;
  const SubMenu = Menu.SubMenu;
  const axios = require('axios');
class LeftMenu extends Component {
    state = {
        collapsed: false,
      };
    onCollapse = (collapsed) => {
        
        this.setState({ collapsed });
    }
    onChange = ()=>{
        axios.post(`http://127.0.0.1:2000/api/staffs`,{
            "title": "Ортопедическое ",
            "description": `Ортопедическое кресло Austin станет прекрасным выбором для тех, кто любит простоту и лаконичность в мебели. Именно этот дизайн делает кресло подходящим как для офиса, так и для домашнего рабочего места. Анатомические свойства спинки кресла поддерживают позвоночник в правильном положении, снимают устаность со спины и ног. Прочный каркас способен выдержать нагрузку до 120 кг. Обивка кресла выполнена из текстиля, что обеспечивает лучшую циркуляцию воздуха. Легкая и понятная регулировка кресла по высоте, современный механизм качания и бесшумные колесики обеспечивают удобство и радость от использования. `,
            "staff": "fghgf",
            "price": 3500,
            "state": 1,
            "img": "https://crdms.images.consumerreports.org/prod/cars/cr/car-groups/106-11331",
            "userId": 1,
            "categoryId": 1   
      })
      
        .then(function (response) {
          // handle success
          console.log(response);
        })
        .catch((err)=>console.log(err))
}
    onChange1 = ()=>{
        axios.get('http://127.0.0.1:2000/api/staffs')
  .then(function (response) {
    // handle success
    console.log(response.data);
  })
    }
    render() {
        
        return (
        <div >
            <Layout style={{ minHeight: '100vh' }}>
                <Sider
                collapsible
                collapsed={this.state.collapsed}
                onCollapse={this.onCollapse}
                >
                <div className="logo" />
                <Menu theme="dark" defaultSelectedKeys={['1']} mode="inline">
                    <Menu.Item key="1">
                    <Icon type="pie-chart" />
                    <span>Option 1</span>
                    </Menu.Item>
                    <Menu.Item key="2">
                    <Icon type="desktop" />
                    <span>Option 2</span>
                    </Menu.Item>
                    <SubMenu
                    key="sub1"
                    title={<span><Icon type="user" /><span>Одежда</span></span>}
                    >
                    <SubMenu
                    key="sub6"
                    title={<span><Icon type="shopping" /><span>Женское белье</span></span>}
                    >
                    <Menu.Item key="3"><button onClick={this.onChange}>Post
        </button></Menu.Item>
                    <Menu.Item key="4"><button onClick={this.onChange1}>Get
        </button></Menu.Item>
                    </SubMenu>
                    <Menu.Item key="5">Bill</Menu.Item>
                    <Menu.Item key="6">Alex</Menu.Item>
                    </SubMenu>
                    <SubMenu
                    key="sub2"
                    title={<span><Icon type="team" /><span>Team</span></span>}
                    >
                    <Menu.Item key="7">Team 1</Menu.Item>
                    <Menu.Item key="8">Team 2</Menu.Item>
                    </SubMenu>
                    <Menu.Item key="9">
                    <Icon type="file" />
                    <span>File</span>
                    </Menu.Item>
                </Menu>
                </Sider>
                
            </Layout>
      </div>
        );
    }
}

export default LeftMenu;
